﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@using Portal.Models.Supplier;
 
@model Toyota.Common.Web.MVC.ModelHolder

<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="width:80px">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Supplier";
            }).GetHtml() 
        </td>
        <td style="width:108px">
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "SSMHSupplierOption";
                gridLookup.Width = 108;
                gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE_PLANT";
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SubSupplierMappingSPEX", Action = "PartialHeaderSupplierLookupSSMSPEX" };
                gridLookup.ReadOnly = true;
                if (Model.GetModel<List<SupplierName>>().Count == 1)
                {
                    gridLookup.Text = Model.GetModel<List<SupplierName>>()[0].SUPPLIER_CODE_PLANT;
                }
                    
                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUPPLIER_CODE_PLANT";
                    column.FieldName = "SUPPLIER_CODE_PLANT";
                    column.Caption = "Supplier<br /> Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUPPLIER_NAME";
                    column.FieldName = "SUPPLIER_NAME";
                    column.Caption = "Supplier<br />Name";
                    column.Width = Unit.Pixel(500);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }).Bind(Model.GetModel<List<SupplierName>>()).GetHtml()                        
        </td>
        <td style="width:20px"></td>
        <td style="width:80px">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Sub. Supplier";
                label.Name = "lblSubSupp";
            }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "SSMHSubSupplierOption";
                gridLookup.Width = 108;
                gridLookup.GridProperties.KeyFieldName = "SUB_SUPPLIER_CODE_PLANT";
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SubSupplierMappingSPEX", Action = "PartialHeaderSubSupplierLookupSSMSPEX" };
                gridLookup.ReadOnly = true;
                if (Model.GetModel<List<SupplierNameSPEX>>().Count == 1)
                {
                    gridLookup.Text = Model.GetModel<List<SupplierNameSPEX>>()[0].SUB_SUPPLIER_CODE_PLANT;
                }

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUB_SUPPLIER_CODE_PLANT";
                    column.FieldName = "SUB_SUPPLIER_CODE_PLANT";
                    column.Caption = "Sub. Supplier<br /> Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUB_SUPPLIER_NAME";
                    column.FieldName = "SUB_SUPPLIER_NAME";
                    column.Caption = "Sub. Supplier<br />Name";
                    column.Width = Unit.Pixel(500);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }).Bind(Model.GetModel<List<SupplierNameSPEX>>()).GetHtml()
        </td>
    </tr>
    <tr style="height:15px"></tr>
    <tr>
        <td></td>
        <td></td>
        <td></td>
        <td colspan="2" align="right">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "SSMHSearchButton";
                            settings.Text = "Search";
                            settings.Width = Unit.Pixel(80);
                            settings.ClientSideEvents.Click = "OnSSMHSearchButtonClick";
                            settings.EnableClientSideAPI = true;
                        }).GetHtml()
                    </td>
                    <td style="padding-left:2px">
                        @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "SSMHClearButton";
                            settings.Text = "Clear";
                            settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            settings.ClientSideEvents.Click = "OnSSMHClearButtonClick";
                            settings.EnableClientSideAPI = true;
                        }).GetHtml()
                    </td>
                </tr>    
            </table>
        </td>
    </tr>
</table>